Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.cglib
Class CglibClassTransformer

    java.lang.Object
      org.hibernate.bytecode.AbstractClassTransformerImpl
          org.hibernate.bytecode.cglib.CglibClassTransformer

All Implemented Interfaces:
  ClassTransformer

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public class CglibClassTransformer

extends AbstractClassTransformerImpl

Enhance the classes allowing them to implements InterceptFieldEnabled This interface is then used by Hibernate for some optimizations.

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.bytecode.AbstractClassTransformerImpl
`classFilter, fieldFilter`

Constructor Summary
`CglibClassTransformer(ClassFilter classFilter, FieldFilter fieldFilter)` Deprecated.

Method Summary
`protected byte[]` | `doTransform(ClassLoader loader, String className, Class classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)` Deprecated.

Methods inherited from class org.hibernate.bytecode.AbstractClassTransformerImpl
`transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CglibClassTransformer

    public CglibClassTransformer(ClassFilter classFilter,
                                 FieldFilter fieldFilter)

  Deprecated.

Method Detail

### doTransform

    protected byte[] doTransform(ClassLoader loader,
                                 String className,
                                 Class classBeingRedefined,
                                 ProtectionDomain protectionDomain,
                                 byte[] classfileBuffer)

  Deprecated.
  Specified by:
    `doTransform` in class `AbstractClassTransformerImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.